| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
GL

# Method GL.glInitNames()

Method glInitNames

  `void glInitNames()`

Description

  The name stack is used during selection mode to allow sets of rendering commands to be uniquely identified. It consists of an ordered set of unsigned integers. glInitNames causes the name stack to be initialized to its default empty state.

  The name stack is always empty while the render mode is not GL_SELECT . Calls to glInitNames while the render mode is not GL_SELECT are ignored.

Throws

  GL_INVALID_OPERATION is generated if glInitNames is executed between the execution of glBegin and the corresponding execution of glEnd .